summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--desktop/whaw/whaw.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/desktop/whaw/whaw.SlackBuild b/desktop/whaw/whaw.SlackBuild
index f4e6c767c7..d55d136b39 100644
--- a/desktop/whaw/whaw.SlackBuild
+++ b/desktop/whaw/whaw.SlackBuild
@@ -41,12 +41,8 @@ CPPFLAGS="$SLKCFLAGS" \
CFLAGS="$SLKCFLAGS" CPPFLAGS="$SLKCFLAGS" make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Compress the man page
gzip -9 $PKG/usr/man/man1/$PRGNAM.1